Sponsored Content
Full Discussion: Little script with minicom
Top Forums Shell Programming and Scripting Little script with minicom Post 302628517 by neutronscott on Monday 23rd of April 2012 03:41:19 PM
Old 04-23-2012
Code:
#!/bin/bash
# revision 2
modem=/dev/ttyUSB3
apn='web.omnitel.it'
m2m_host=82.91.28.127
m2m_port=9940
file=/home/giuseppe/Desktop/SCRIPTMODEM/imsi.txt

# print error to stderr and exit unsuccessfully
die() {
	echo "$@" >&2
	exit 1
}

# chat helper. try everything twice.
send_expect() {
	chat ABORT ERROR '' "$@" '\c' ||
	chat ABORT ERROR '' "$@" '\c' ||
	echo "Exit code: $?" >&2
}

# keep modem open, so CD doesn't go low and drop connection
# move terminal to FD3 to avoid redirects on everything else ...
exec 3<&1 >"$modem" <"$modem"

# setup modem options ...
stty -clocal cs8 -parenb -cstopb

[ -e "$modem" ] || die 'Modem not connected'
send_expect 'AT+CREG?' '+CREG: 0,1' ||
	die 'Modem not registered'
send_expect "AT!PADSETUP=1,2,${m2m_host},0,${m2m_port},0,1" 'OK' ||
	die 'M2M connection failed'
send_expect 'AT+CGDCONT=1,"IP","'"$apn"'"' 'OK' ||
	die 'APN setup failed'
send_expect 'AT!PADCONN=1' 'CONNECT' ||
	die 'Unable to open socket'

cat "$file"

# give user idea of success
echo "done" >&3

 

10 More Discussions You Might Find Interesting

1. UNIX for Dummies Questions & Answers

linux - minicom

hello. i'm attempting to use minicom in linux, but i'm having some difficulties. When i type in "minicom", the application opens up. It says 'starting minicom/finding modem'(something like that). However, once it actually starts, I can't do anything. No matter what I type in, it doesn't work. ... (2 Replies)
Discussion started by: kickboxer
2 Replies

2. UNIX for Dummies Questions & Answers

Minicom Scripting

Does anyone have a working minicom script they would care to post as I can't get the scripting working and the scriptdemo and unixlogin sample scripts are on my system either. Thanx, I (2 Replies)
Discussion started by: ianf
2 Replies

3. Shell Programming and Scripting

running scripts in minicom

Hi, I am new to use minicom. I want script to run on minicom with username and password as automated.(Expect). please could anyone suggest the sample code for it. Thanks in advance (2 Replies)
Discussion started by: vanid
2 Replies

4. Shell Programming and Scripting

expect minicom

Hi, I am new to using minicom. I want how to write a expect script for minicom login? I wrote a code but its not acting what iam expecting. here I have my code: #!/usr/bin/expect set fd fconfigure $fd spawn -open $fd spawn minicom expect “enter:” send "\n" send "\n" ... (3 Replies)
Discussion started by: vanid
3 Replies

5. Shell Programming and Scripting

minicom works, but stty does not

Hi all, I have some trouble getting stty to talk to some serial/usb converter. Getting minicom to work was however quite simple after I entered the following settings in addition to its standard-setup: pu port /dev/ttyUSB0 pu baudrate 19200 pu bits 8 pu... (3 Replies)
Discussion started by: pa-trick
3 Replies

6. Shell Programming and Scripting

Exiting from Minicom on a shell script

This is what I've tried: #!/bin/sh send sh send showifs send exit ! killall minicom My problem is that for some reason when I do this it doesn't give me the results of the prior commands sent like showifs So I suspect my syntax is wrong. (1 Reply)
Discussion started by: uradunce
1 Replies

7. Shell Programming and Scripting

Help with minicom script

I'm a fairly new user to Linux based systems and am still a little uncomfortable with using the command interface. I'm trying to get my feet wet but have unfortunately hit a wall and am actually not even sure what I am trying to accomplish is at all possible. Basically, I am trying to use a... (0 Replies)
Discussion started by: nrdk00
0 Replies

8. Shell Programming and Scripting

Expect script not working in crontab with minicom

Hi All, I am testing expect script in command prompt without issue, but in crontab it is not working, i check the output error as below: #cat /var/log/testexp.log spawn minicom -C /var/log/minicom1.log No cursor motion capability (cm) AT+COPS=? I am new in scripting, together... (1 Reply)
Discussion started by: elingtey
1 Replies

9. SCO

Minicom

hello is there a copy of minicom or equivalent for unixware 7? thanks (3 Replies)
Discussion started by: deus-programmer
3 Replies

10. UNIX for Dummies Questions & Answers

Alternatives to minicom During Remote Access?

Hey All, I am trying to find something similar to minicom, but it needs the ability to be ran during a remote dialup session on the remote device's side. If I dial into the remote server (*using minicom) and then try to run minicom on the remote server I get the following: # minicom... (20 Replies)
Discussion started by: mrm5102
20 Replies
WVDIAL(1)						      General Commands Manual							 WVDIAL(1)

NAME
wvdial - PPP dialer with built-in intelligence. SYNOPSIS
wvdial [ OPTIONS ] [ SECTION ] ... DESCRIPTION
wvdial is an intelligent PPP dialer, which means that it dials a modem and starts PPP in order to connect to the Internet. It is something like the chat(8) program, except that it uses heuristics to guess how to dial and log into your server rather than forcing you to write a login script. When wvdial starts, it first loads its configuration from /etc/wvdial.conf and ~/.wvdialrc which contains basic information about the modem port, speed, and init string, along with information about your Internet Service Provider (ISP), such as the phone number, your username, and your password. Then it initializes your modem and dials the server and waits for a connection (a CONNECT string from the modem). It understands and responds to typical connection problems (like BUSY and NO DIALTONE). Any time after connecting, wvdial will start PPP if it sees a PPP sequence from the server. Otherwise, it tries to convince the server to start PPP by doing the following: o responding to any login/password prompts it sees; o interpreting "choose one of the following"-style menus; o eventually, sending the word "ppp" (a common terminal server command). If all of this fails, wvdial just runs pppd(8) and hopes for the best. It will bring up the connection, and then wait patiently for you to drop the link by pressing CTRL-C. OPTIONS
Several options are recognized by wvdial. -c, --chat Run wvdial as a chat replacement from within pppd, instead of the more normal method of having wvdial negotiate the connection and then call pppd. -C, --config=CONFIGFILE Run wvdial with CONFIGFILE as the configuration file, instead of /etc/wvdial.conf. This is mainly useful only if you want to have per-user configurations, or you want to avoid having dial-up information (usernames, passwords, calling card numbers, etc.) in a system wide configuration file. -n, --no-syslog Don't output debug information to the syslog daemon (only useful together with --chat). wvdial is normally run without command line options, in which case it reads its configuration from the [Dialer Defaults] section of /etc/wvdial.conf. (The configuration file is described in more detail in wvdial.conf(5) manual page.) One or more SECTIONs of /etc/wvdial.conf may be specified on the command line. Settings in these sections will override settings in [Dialer Defaults]. For example, the command: wvdial phone2 will read default options from the [Dialer Defaults] section, then override any or all of the options with those found in the [Dialer phone2] section. If more than one section is specified, they are processed in the order they are given. Each section will override all the sections that came before it. For example, the command: wvdial phone2 pulse shh will read default options from the [Dialer Defaults] section, then override any or all of the options with those found in the [Dialer phone2] section, followed by the [Dialer pulse] section, and lastly the [Dialer shh] section. Using this method, it is possible to easily configure wvdial to switch between different internet providers, modem init strings, account names, and so on without specifying the same configuration information over and over. BUGS
"Intelligent" programs are frustrating when they don't work right. This version of wvdial has only minimal support for disabling or over- riding its "intelligence", with the "Stupid Mode", "Login Prompt", and "Password Prompt" options. So, in general if you have a nice ISP, it will probably work, and if you have a weird ISP, it might not. Still, it's not much good if it doesn't work for you, right? Don't be fooled by the fact that wvdial finally made it to version 1.00; it could well contain many bugs and misfeatures. Let us know if you have problems by sending e-mail to <wvdial-list@lists.nit.ca>. You may encounter some error messages if you don't have write access to /etc/ppp/pap-secrets and /etc/ppp/chap-secrets. Unfortunately, there's really no nice way around this yet. FILES
/etc/wvdial.conf Configuration file which contains modem, dialing, and login information. See wvdial.conf(5). /dev/ttyS* Serial port devices. /etc/ppp/peers/wvdial Required for correct authentication in pppd version 2.3.0 or newer. /etc/ppp/{pap,chap}-secrets Contains a list of usernames and passwords used by pppd for authentication. wvdial maintains this list automatically. AUTHORS
Dave Coombs and Avery Pennarun for Net Integration Technologies. We would also like to thank SuSE and RedHat for adding a number of vari- ous cool features to wvdial. Thanks guys! SEE ALSO
wvdial.conf(5), wvdialconf(1), pppd(8), chat(8). WvDial December 2005 WVDIAL(1)
All times are GMT -4. The time now is 08:36 PM.
Unix & Linux Forums Content Copyright 1993-2022. All Rights Reserved.
Privacy Policy